<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2018/1/29
 * Time: 20:03
 */
Route::group(['domain' => env('MANAGE_DOMAIN'), 'namespace' => 'App\Http\Controllers\Manage\Activity', 'prefix' => 'api/activity', 'middleware' => 'ManageApiAuth'], function () {

    //获取活动列表
    Route::get('getActivities', 'ActivityController@getActivities');

    //获取活动的充值信息
    Route::get('getActivityRechargeInfo', 'ActivityController@getActivityRechargeInfo');
    //创建活动
    Route::post('createdActivity', 'ActivityController@createdActivity');
    //获活动充值信息
    Route::get('ChannelActivityStats', 'ActivityController@ChannelActivityStats');
    //删除活动
    Route::get('delActivity', 'ActivityController@delActivity');
    //导出
    Route::get('exportActivity', 'ActivityController@exportActivity');
    //包年导出
    Route::get('yearActivityExport', 'ActivityController@yearActivityExport');
});